package org.zheng.demo.controller;

import static org.junit.jupiter.api.Assertions.assertTrue;

import java.util.List;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.zheng.demo.entity.OrderLineItem;
import org.zheng.demo.entity.ProductProfile;

@SpringBootTest
class DemoServiceTest {

	@Autowired
	private DemoService testService;

	@Test
	void test_getProductProfiles() {
		List<ProductProfile> foundProdProfile = testService.getProductProfiles();
		assertTrue(foundProdProfile.size() > 0);
	}

	@Test
	void test_getOrderItems() {
		List<OrderLineItem> foundOrderLineItems = testService.getOrderItems();
		assertTrue(foundOrderLineItems.size() > 0);
		
	}

}
